PagerProcessorExt (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.pager.PagerProcessorExt interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.pager
Interface PagerProcessorExt

All Superinterfaces:
  PagerProcessor

All Known Implementing Classes:
  AppdefPagerProc, PagerProcessor_ai_schedule, PagerProcessor_aiplatform, PagerProcessor_aiplatform_excludePlaceholders, PagerProcessor_control_schedule, PagerProcessor_events

    public interface PagerProcessorExt

extends PagerProcessor

Provides a point of extensibility in the paging behavior. If you supply a PagerProcessor when you get a Pager, then that processor will be called to process each element as the pager moves it from the source collection to the destination collection.

Method Summary
`PagerEventHandler` | `getEventHandler()` Get the event handler for this pager.
`java.lang.Object` | `processElement(java.lang.Object o1, java.lang.Object o2)` Process an element as the pager moves it from the source collection to the destination collection.
`boolean` | `skipNulls()` Determines if null values are included in the Pager's results.

Methods inherited from interface org.hyperic.util.pager.PagerProcessor
`processElement`

Method Detail

### getEventHandler

    PagerEventHandler getEventHandler()

  Get the event handler for this pager. May return null to indicate that no event handler should be used.

### skipNulls

    boolean skipNulls()

  Determines if null values are included in the Pager's results.

  Returns:
    If this method returns true, then when the processElement method returns null, that element will not be included in the results. If this methods returns false, then nulls may be added to the result page.

### processElement

    java.lang.Object processElement(java.lang.Object o1,
                                    java.lang.Object o2)

  Process an element as the pager moves it from the source collection to the destination collection. This version allows an additional argument to be passed along.

  Parameters:
    `o1` - The object to process.
    `o2` - Additional data required to processElement.
  Returns:
    The processed object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.